body {
  /*background-color: #ffe1fc;*/
  background-image: white; 
  min-height: 100vh;
  max-width: fit-content;
  font-family: "Arial", Helvetica, sans-serif;
  color:orange;
}

a {
    text-decoration: none;
    color:#3a3a4c;
}

div.title {
    display:flex;
    width: 100%;
    height: auto;
    padding:20px;
    align-items: center;
    justify-content: center;
}

div.main {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    margin: auto;
    width: 100%;
    height: auto;
    align-items: flex-start;
}
div.r {

    background: linear-gradient(to right, red, orange, yellow, green, blue, indigo, violet, red);
    background-clip: text;
    color: transparent;
    font-size: 50px;
    font-weight: bold;
    font-style: italic;
    /* Define a larger background size to enable movement */
    background-size: 200% auto;
    /* Apply the animation */
    animation: rainbow_animation 10s linear infinite;
}

div.white{
    display:flex;
    flex-wrap: wrap;
    align-items: flex-start;
    flex-direction: row;
    align-content: space-around;
    background-image: linear-gradient(to bottom right, #1f1f2a, #3a3a4c);
    padding:20px;
    width:100%;
}

div.container{
    display: flex;
    width:100%;
    align-items: flex-start;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 15px;
}

div.container img{
    max-width: 33%;
    min-width:10%;
    aspect-ratio: 180/187;
    overflow:hidden;
    padding:5px;
}

div.textblock {
    display: flex;
    width:60%;
    align-items: flex-start;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 5px;
    line-height: 1.5;
}

div.textblock p{
    width: 100%;
    height: auto;
    margin-top: 0px;      
    margin-bottom: 0px;  
    overflow-wrap:normal;
    word-wrap: normal; 
    color:whitesmoke;
}

div.textblock h1{
    margin-top: 5px;      
    margin-bottom: 5px;   
    font-size: 25px;
}

.center {
    width: 100%;
    display:grid;
    place-items: center;
    margin:auto;
}

@media (max-width: 1000px) {
    div.white {flex-direction: column;}
    div.container img{max-width:45%; min-width:10%;}
    div.textblock {width:100%}
}

@keyframes rainbow_animation {
    0% { background-position: 0% center; }
    100% { background-position: 200% center; } /* Moves the background across the text */
}